# Maze Timer Scoreboard
execute if score $dummy maze_timer_run matches 1 run scoreboard players add $dummy maze_timer 1

# dark wood maze loops
execute if score $dummy dwm_deletion_true matches 1 unless score $dummy dwm_creation_true matches 1 unless score $dummy dwm_exit_true matches 1 run function mazegen:darkwoodmaze/delete/run
execute if score $dummy dwm_creation_true matches 1 unless score $dummy dwm_deletion_true matches 1 unless score $dummy dwm_exit_true matches 1 run function mazegen:darkwoodmaze/create/run
execute if score $dummy dwm_exit_true matches 1 unless score $dummy dwm_deletion_true matches 1 unless score $dummy dwm_creation_true matches 1 run function mazegen:darkwoodmaze/exit/run

# nether maze loops
execute if score $dummy nm_deletion_true matches 1 unless score $dummy nm_creation_true matches 1 unless score $dummy nm_exit_true matches 1 run function mazegen:nether/delete/run
execute if score $dummy nm_creation_true matches 1 unless score $dummy nm_deletion_true matches 1 unless score $dummy nm_exit_true matches 1 run function mazegen:nether/create/run
execute if score $dummy nm_exit_true matches 1 unless score $dummy nm_deletion_true matches 1 unless score $dummy nm_creation_true matches 1 run function mazegen:nether/exit/run

# maze exit room particles
execute at @e[type=armor_stand,tag=dwm_exit_room] run particle minecraft:reverse_portal ~ ~2 ~ .5 .5 .5 .01 1
execute at @e[type=armor_stand,tag=nm_exit_room] run particle minecraft:reverse_portal ~ ~2 ~ .5 .5 .5 .01 1

# Make Nether Maze mobs immune to zombification
execute at @e[tag=nm_datamerger] if entity @e[type=piglin,nbt=!{IsImmuneToZombification:1b},distance=..20] run data merge entity @e[type=piglin,limit=1,distance=..20] {IsImmuneToZombification:1b}
execute at @e[tag=nm_datamerger] if entity @e[type=piglin_brute,nbt=!{IsImmuneToZombification:1b},distance=..20] run data merge entity @e[type=piglin_brute,limit=1,distance=..20] {IsImmuneToZombification:1b}
execute at @e[tag=nm_datamerger] if entity @e[type=hoglin,nbt=!{IsImmuneToZombification:1b},distance=..20] run data merge entity @e[type=hoglin,limit=1,distance=..20] {IsImmuneToZombification:1b}
execute at @e[tag=nm_datamerger] if entity @e[type=zombified_piglin,distance=..20] run tp @e[type=zombified_piglin,distance=..20] ~ -3000 ~

# debug
# title niceron actionbar [{"text":"Timer: "},{"score":{"name":"$dummy","objective":"maze_timer"}},{"text":" | Step: "},{"score":{"name":"$dummy","objective":"maze_step"}},{"text":" | empty: "},{"score":{"name":"$dummy","objective":"nm_deletion_empty"}},{"text":" | Room Set: "},{"score":{"name":"$dummy","objective":"room_set"}}]
