# Explorer's Eden Exclusive (Daily Bonus)
# scoreboard players reset * NM_Daily_True

# message
execute unless score $dummy nm_messages matches 1 run tellraw @a {"text":"🛠 Nether Maze is now generating!","color":"#A6FFAF","bold":false,"italic":false}

# kill armor stands for generation
kill @e[type=armor_stand,tag=nm_creator]
kill @e[type=armor_stand,tag=nm_eraser]
kill @e[type=armor_stand,tag=nm_creator2]
kill @e[type=armor_stand,tag=nm_eraser2]
kill @e[type=armor_stand,tag=nm_exit]
kill @e[type=armor_stand,tag=nm_exit2]
kill @e[type=armor_stand,tag=nm_exit_room]
kill @e[type=text_display,tag=nm_exit_holo]

# remove scoreboards for a fresh setup
function mazegen:nether/delete/scoreboards

# Maze Timer Scoreboard
scoreboard objectives add maze_timer dummy
scoreboard objectives add maze_timer_run dummy

# Maze Scoreboard for individual steps
scoreboard objectives add maze_step dummy

# Nether maze scoreboard for deletion
scoreboard objectives add nm_deletion_true dummy

# Nether maze scoreboard for creation
scoreboard objectives add nm_creation_true dummy

# Nether maze scoreboard for exit placement
scoreboard objectives add nm_exit_true dummy
scoreboard objectives add exit_set dummy
scoreboard objectives add exit_1_active dummy
scoreboard objectives add exit_2_active dummy
scoreboard objectives add exit_trigger dummy

#rng scoreboards
scoreboard objectives add rng5 dummy
scoreboard objectives add rng4 dummy
scoreboard objectives add rng16 dummy

# room scoreboards
scoreboard objectives add room_set dummy
scoreboard objectives add room_type_chosen dummy
scoreboard objectives add creator_1_active dummy
scoreboard objectives add creator_2_active dummy
scoreboard objectives add room_selection dummy

# reset $dummy to scoreboard
scoreboard players set $dummy maze_timer 0
scoreboard players set $dummy maze_timer_run 0
scoreboard players set $dummy maze_step 0
scoreboard players set $dummy nm_deletion_true 0
scoreboard players set $dummy nm_creation_true 0
scoreboard players set $dummy nm_exit_true 0
scoreboard players set $dummy rng5 0
scoreboard players set $dummy rng4 0
scoreboard players set $dummy rng16 0
scoreboard players set $dummy room_type_chosen 0
scoreboard players set $dummy exit_1_active 0
scoreboard players set $dummy exit_2_active 0
scoreboard players set $dummy room_set 0
scoreboard players set $dummy creator_1_active 0
scoreboard players set $dummy creator_2_active 0
scoreboard players set $dummy exit_trigger 0
scoreboard players set $dummy exit_set 0
scoreboard players set $dummy room_selection 0


# remove and generate actual maze
function mazegen:nether/erase